<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litepie',

    /*
     * Package.
     */
    'package'   => 'plan',

    /*
     * Modules.
     */
    'modules'   => ['plan', 'plan_feature', 'plan_subscription_usage', 'plan_subscription'],

    'plan'       => [
        'model' => [
            'model' => \Litepie\Plan\Models\Plan::class,
            'repository' => \Litepie\Plan\Repositories\Eloquent\PlanRepository::class,
            'table' => 'plans',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'slug',  'name',  'sort_order',  'price',  'interval',  'interval_count',  'trial_period_days',  'status',  'description',  'created_at',  ')',  'updated_at',  'deleted_at'],
            'translatables' => [],
            'upload_folder' => 'plan/plan',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litepie',
            'package' => 'Plan',
            'module' => 'Plan',
        ],
    ],
    'plan_feature'       => [
        'model' => [
            'model' => \Litepie\Plan\Models\PlanFeature::class,
            'repository' => \Litepie\Plan\Repositories\Eloquent\PlanFeatureRepository::class,
            'table' => 'plan_features',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'plan_id',  'code',  'value',  'sort_order',  'created_at',  ')',  'updated_at',  'deleted_at'],
            'translatables' => [],
            'upload_folder' => 'plan/plan_feature',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litepie',
            'package' => 'Plan',
            'module' => 'PlanFeature',
        ],
    ],
    'plan_subscription_usage'       => [
        'model' => [
            'model' => \Litepie\Plan\Models\PlanSubscriptionUsage::class,
            'repository' => \Litepie\Plan\Repositories\Eloquent\PlanSubscriptionUsageRepository::class,
            'table' => 'plan_subscription_usages',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'subscription_id',  'code',  'valid_until',  'used',  'created_at',  ')',  'updated_at',  'deleted_at'],
            'translatables' => [],
            'upload_folder' => 'plan/plan_subscription_usage',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litepie',
            'package' => 'Plan',
            'module' => 'PlanSubscriptionUsage',
        ],
    ],
    'plan_subscription'       => [
        'model' => [
            'model' => \Litepie\Plan\Models\PlanSubscription::class,
            'repository' => \Litepie\Plan\Repositories\Eloquent\PlanSubscriptionRepository::class,
            'table' => 'plan_subscriptions',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'subscribable_id',  'subscribable_type',  'plan_id',  'name',  'trial_ends_at',  'starts_at',  'ends_at',  'canceled_at',  'payment_mode',  'transaction_no',  'bank',  'branch',  'amount',  'date',  'payment_gateway_name',  'created_at',  ')',  'updated_at',  'deleted_at'],
            'translatables' => [],
            'upload_folder' => 'plan/plan_subscription',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litepie',
            'package' => 'Plan',
            'module' => 'PlanSubscription',
        ],
    ],
];
