<?php

namespace Litepie\Plan\Forms;

use Litepie\Form\FormInterpreter;

class Plan extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('plan/plan/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('plan/plan/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('plan/plan'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('plan/plan'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('plan/plan'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('plan/plan'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('plan::plan.label.name'),
                "placeholder" => trans('plan::plan.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('plan::plan.label.created_at'),
            'name' => trans('plan::plan.label.name'),
            'status' => trans('plan::plan.label.status'),
        ];
        self::$groups = [
            'main' => trans('plan::plan.groups.main'),
            'details' => trans('plan::plan.groups.details'),
            'images' => trans('plan::plan.groups.images'),
            'settings' => trans('plan::plan.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('plan::plan.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('plan::plan.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('plan::plan.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('plan::plan.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('plan::plan.label.name'),
                "placeholder" => trans('plan::plan.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'sort_order' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('plan::plan.label.sort_order'),
                "placeholder" => trans('plan::plan.placeholder.sort_order'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'price' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('plan::plan.label.price'),
                "placeholder" => trans('plan::plan.placeholder.price'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'interval' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('plan::plan.label.interval'),
                "placeholder" => trans('plan::plan.placeholder.interval'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'interval_count' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('plan::plan.label.interval_count'),
                "placeholder" => trans('plan::plan.placeholder.interval_count'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'trial_period_days' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('plan::plan.label.trial_period_days'),
                "placeholder" => trans('plan::plan.placeholder.trial_period_days'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'description' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('plan::plan.label.description'),
                "placeholder" => trans('plan::plan.placeholder.description'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            ')' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('plan::plan.label.)'),
                "placeholder" => trans('plan::plan.placeholder.)'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
