<?php

namespace Litepie\Plan\Forms;

use Litepie\Form\FormInterpreter;

class PlanSubscription extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('plan/plan_subscription/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('plan/plan_subscription/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('plan/plan_subscription'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('plan/plan_subscription'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('plan/plan_subscription'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('plan/plan_subscription'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('plan::plan.label.name'),
                "placeholder" => trans('plan::plan.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('plan::plan.label.created_at'),
            'name' => trans('plan::plan.label.name'),
            'status' => trans('plan::plan.label.status'),
        ];
        self::$groups = [
            'main' => trans('plan::plan.groups.main'),
            'details' => trans('plan::plan.groups.details'),
            'images' => trans('plan::plan.groups.images'),
            'settings' => trans('plan::plan.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('plan::plan.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('plan::plan.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('plan::plan.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('plan::plan.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'subscribable_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('plan::plan_subscription.label.subscribable_id'),
                "placeholder" => trans('plan::plan_subscription.placeholder.subscribable_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'subscribable_type' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('plan::plan_subscription.label.subscribable_type'),
                "placeholder" => trans('plan::plan_subscription.placeholder.subscribable_type'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'plan_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('plan::plan_subscription.label.plan_id'),
                "placeholder" => trans('plan::plan_subscription.placeholder.plan_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('plan::plan_subscription.label.name'),
                "placeholder" => trans('plan::plan_subscription.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'trial_ends_at' => [
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => trans('plan::plan_subscription.label.trial_ends_at'),
                "placeholder" => trans('plan::plan_subscription.placeholder.trial_ends_at'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'starts_at' => [
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => trans('plan::plan_subscription.label.starts_at'),
                "placeholder" => trans('plan::plan_subscription.placeholder.starts_at'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'ends_at' => [
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => trans('plan::plan_subscription.label.ends_at'),
                "placeholder" => trans('plan::plan_subscription.placeholder.ends_at'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'canceled_at' => [
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => trans('plan::plan_subscription.label.canceled_at'),
                "placeholder" => trans('plan::plan_subscription.placeholder.canceled_at'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'payment_mode' => [
                "element" => 'radios',
                "type" => 'radios',
                "label" => trans('plan::plan_subscription.label.payment_mode'),
                "placeholder" => trans('plan::plan_subscription.placeholder.payment_mode'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'transaction_no' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('plan::plan_subscription.label.transaction_no'),
                "placeholder" => trans('plan::plan_subscription.placeholder.transaction_no'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'bank' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('plan::plan_subscription.label.bank'),
                "placeholder" => trans('plan::plan_subscription.placeholder.bank'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'branch' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('plan::plan_subscription.label.branch'),
                "placeholder" => trans('plan::plan_subscription.placeholder.branch'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'amount' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => trans('plan::plan_subscription.label.amount'),
                "placeholder" => trans('plan::plan_subscription.placeholder.amount'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'date' => [
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => trans('plan::plan_subscription.label.date'),
                "placeholder" => trans('plan::plan_subscription.placeholder.date'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'payment_gateway_name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('plan::plan_subscription.label.payment_gateway_name'),
                "placeholder" => trans('plan::plan_subscription.placeholder.payment_gateway_name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            ')' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('plan::plan_subscription.label.)'),
                "placeholder" => trans('plan::plan_subscription.placeholder.)'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
