<?php

namespace Litepie\Plan\Forms;

use Litepie\Form\FormInterpreter;

class PlanSubscriptionUsage extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('plan/plan_subscription_usage/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('plan/plan_subscription_usage/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('plan/plan_subscription_usage'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('plan/plan_subscription_usage'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('plan/plan_subscription_usage'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('plan/plan_subscription_usage'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('plan::plan.label.name'),
                "placeholder" => trans('plan::plan.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('plan::plan.label.created_at'),
            'name' => trans('plan::plan.label.name'),
            'status' => trans('plan::plan.label.status'),
        ];
        self::$groups = [
            'main' => trans('plan::plan.groups.main'),
            'details' => trans('plan::plan.groups.details'),
            'images' => trans('plan::plan.groups.images'),
            'settings' => trans('plan::plan.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('plan::plan.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('plan::plan.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('plan::plan.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('plan::plan.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'subscription_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('plan::plan_subscription_usage.label.subscription_id'),
                "placeholder" => trans('plan::plan_subscription_usage.placeholder.subscription_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'code' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('plan::plan_subscription_usage.label.code'),
                "placeholder" => trans('plan::plan_subscription_usage.placeholder.code'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'valid_until' => [
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => trans('plan::plan_subscription_usage.label.valid_until'),
                "placeholder" => trans('plan::plan_subscription_usage.placeholder.valid_until'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'used' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('plan::plan_subscription_usage.label.used'),
                "placeholder" => trans('plan::plan_subscription_usage.placeholder.used'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            ')' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('plan::plan_subscription_usage.label.)'),
                "placeholder" => trans('plan::plan_subscription_usage.placeholder.)'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
