<?php

namespace Litepie\Plan\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Plan policy
        \Litepie\Plan\Repositories\Eloquent\PlanRepository::class 
        => \Litepie\Plan\Policies\PlanPolicy::class,// Bind PlanFeature policy
        \Litepie\Plan\Repositories\Eloquent\PlanFeatureRepository::class 
        => \Litepie\Plan\Policies\PlanFeaturePolicy::class,// Bind PlanSubscriptionUsage policy
        \Litepie\Plan\Repositories\Eloquent\PlanSubscriptionUsageRepository::class 
        => \Litepie\Plan\Policies\PlanSubscriptionUsagePolicy::class,// Bind PlanSubscription policy
        \Litepie\Plan\Repositories\Eloquent\PlanSubscriptionRepository::class 
        => \Litepie\Plan\Policies\PlanSubscriptionPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
