<?php

namespace Litepie\Plan\Repositories\Eloquent;

use Litepie\Plan\Interfaces\PlanFeatureRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litepie\Plan\Repositories\Eloquent\Presenters\PlanFeatureItemPresenter;


class PlanFeatureRepository extends BaseRepository implements PlanFeatureRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litepie.plan.plan_feature.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litepie.plan.plan_feature.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return PlanFeatureItemPresenter::class;
    }
}
