<?php

namespace Litepie\Plan\Repositories\Eloquent;

use Litepie\Plan\Interfaces\PlanRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litepie\Plan\Repositories\Eloquent\Presenters\PlanItemPresenter;


class PlanRepository extends BaseRepository implements PlanRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litepie.plan.plan.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litepie.plan.plan.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return PlanItemPresenter::class;
    }
}
