<?php

namespace Litepie\Plan\Repositories\Eloquent;

use Litepie\Plan\Interfaces\PlanSubscriptionRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litepie\Plan\Repositories\Eloquent\Presenters\PlanSubscriptionItemPresenter;


class PlanSubscriptionRepository extends BaseRepository implements PlanSubscriptionRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litepie.plan.plan_subscription.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litepie.plan.plan_subscription.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return PlanSubscriptionItemPresenter::class;
    }
}
