<?php

namespace Litepie\Plan\Repositories\Eloquent;

use Litepie\Plan\Interfaces\PlanSubscriptionUsageRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litepie\Plan\Repositories\Eloquent\Presenters\PlanSubscriptionUsageItemPresenter;


class PlanSubscriptionUsageRepository extends BaseRepository implements PlanSubscriptionUsageRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litepie.plan.plan_subscription_usage.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litepie.plan.plan_subscription_usage.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return PlanSubscriptionUsageItemPresenter::class;
    }
}
