<?php

namespace Litepie\Plan\Repositories\Eloquent\Presenters;

use Litepie\Repository\Presenter\Presenter;

class PlanItemPresenter extends Presenter
{

    public function itemLink()
    {
        return guard_url('plan/plan') . '/' . $this->getRouteKey();
    }

    public function title()
    {
        if ($this->title != '') {
            return $this->title;
        }

        if ($this->name != '') {
            return $this->name;
        }

        return 'None';
    }

    public function toArray()
    {
        return [
            'id' => $this->getRouteKey(),
            'title' => $this->title(),
            'slug' => $this->slug,
            'name' => $this->name,
            'sort_order' => $this->sort_order,
            'price' => $this->price,
            'interval' => $this->interval,
            'interval_count' => $this->interval_count,
            'trial_period_days' => $this->trial_period_days,
            'status' => $this->status,
            'description' => $this->description,
            ')' => $this->),
            'created_at' => !is_null($this->created_at) ? $this->created_at->format('Y-m-d H:i:s') : null,
            'updated_at' => !is_null($this->updated_at) ? $this->updated_at->format('Y-m-d H:i:s') : null,
            'meta' => [
                'exists' => $this->exists(),
                'link' => $this->itemLink(),
                'upload_url' => $this->getUploadURL(''),
            ],
        ];
    }
}
