<?php

namespace Litepie\Plan\Repositories\Eloquent\Presenters;

use Litepie\Repository\Presenter\Presenter;

class PlanSubscriptionUsageItemPresenter extends Presenter
{

    public function itemLink()
    {
        return guard_url('plan/plan_subscription_usage') . '/' . $this->getRouteKey();
    }

    public function title()
    {
        if ($this->title != '') {
            return $this->title;
        }

        if ($this->name != '') {
            return $this->name;
        }

        return 'None';
    }

    public function toArray()
    {
        return [
            'id' => $this->getRouteKey(),
            'title' => $this->title(),
            'subscription_id' => $this->subscription_id,
            'code' => $this->code,
            'valid_until' => $this->valid_until,
            'used' => $this->used,
            ')' => $this->),
            'created_at' => !is_null($this->created_at) ? $this->created_at->format('Y-m-d H:i:s') : null,
            'updated_at' => !is_null($this->updated_at) ? $this->updated_at->format('Y-m-d H:i:s') : null,
            'meta' => [
                'exists' => $this->exists(),
                'link' => $this->itemLink(),
                'upload_url' => $this->getUploadURL(''),
            ],
        ];
    }
}
