<?php

namespace Litepie\Plan\Workflow;

use Litepie\Plan\Models\Plan;
use Litepie\Plan\Notifications\PlanWorkflow as PlanNotifyer;
use Notification;

class PlanNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Plan $plan
     *
     * @return void
     */
    public function complete(Plan $plan)
    {
        return Notification::send($plan->user, new PlanNotifyer($plan, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Plan $plan
     *
     * @return void
     */
    public function verify(Plan $plan)
    {
        return Notification::send($plan->user, new PlanNotifyer($plan, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Plan $plan
     *
     * @return void
     */
    public function approve(Plan $plan)
    {
        return Notification::send($plan->user, new PlanNotifyer($plan, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Plan $plan
     *
     * @return void
     */
    public function publish(Plan $plan)
    {
        return Notification::send($plan->user, new PlanNotifyer($plan, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Plan $plan
     *
     * @return void
     */
    public function archive(Plan $plan)
    {
        return Notification::send($plan->user, new PlanNotifyer($plan, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Plan $plan
     *
     * @return void
     */
    public function unpublish(Plan $plan)
    {
        return Notification::send($plan->user, new PlanNotifyer($plan, 'unpublish'));;

    }
}
